{% extends "base.html" %}

{% block title %} My projects {% endblock %}
{% block titleHeader %} My projects {% endblock %}
{% block titleSubHeader %} {% endblock %}

{% block content %}
<div class="container">
    {% if message and message == "The project are deleted" %}
    <div class="alert alert-success" role="alert">
        {{message}} <br>
    </div>
    {% elif message  %}
    <div class="alert alert-danger" role="alert">
        {{message}}
        Login In : <a class="alert-link" href="{% url 'login'%}">here</a>.
    </div>
    {% endif %}
    <a href="{% url 'project_create' %}" class="btn btn-success"> Create
        Project</a>
    <br><br>
    <table class="table table-striped">
        <thead class="table-secondary">
        <tr>
            <th scope="col">#</th>
            <th scope="col" style="width: 30%!important;">Title</th>
            <th scope="col">Alias</th>
            <th scope="col" style="width: 40%!important;">Description</th>
            <th scope="col" style="width: 150px!important;">Action</th>
        </tr>
        </thead>
        <tbody>
        {% for project in list_projects %}
        <tr>
            <th scope="row">{{forloop.counter}}</th>
            <td>{{ project.title }}</td>
            <td>{{ project.alias }}</td>
            <td>{{ project.description|truncatewords:100}}</td>
            <td>
                <a href="{% url 'project_detail' id_project=project.id %}"
                   class="btn btn-primary btn-sm">Details</a>
                <button type="button" class="btn btn-danger btn-sm"
                        data-bs-toggle="modal" data-bs-target="#deleteModal_{{forloop.counter}}">
                    Delete
                </button>
            </td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    {% for project in list_projects %}
    <div class="modal fade" id="deleteModal_{{forloop.counter}}" tabindex="-1"
         aria-labelledby="ModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delete this project ? </h5>
                    <button type="button" class="btn-close"
                            data-bs-dismiss="modal"
                            aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    You have started the project deletion procedure. Are you sure you want to delete the project?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary"
                            data-bs-dismiss="modal">Close
                    </button>
                    <a type="button" class="btn btn-danger" href="{% url 'project_delete' id_project=project.id %}">Delete
                    </a>
                </div>
            </div>
        </div>
    </div>
    {% endfor %}

</div>
{% endblock %}